| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLBigInteger Class Reference

Inheritance diagram for XMLBigInteger:

[legend]
List of all members.

## Public Member Functions

| XMLBigInteger (const XMLCh *const strValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a newly allocated `XMLBigInteger` object that represents the value represented by the string.
| ~XMLBigInteger ()
| XMLBigInteger (const XMLBigInteger &toCopy)
void | multiply (const unsigned int byteToShift)
void | divide (const unsigned int byteToShift)
int | getTotalDigit () const
XMLCh * | toString () const
| Deprecated: please use getRawData.
XMLCh * | getRawData () const
| Return a copy of the fMagnitue.
bool | operator== (const XMLBigInteger &toCompare) const
| Compares this object to the specified object.
int | getSign () const
| Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).
int | intValue () const

## Static Public Member Functions

static XMLCh * | getCanonicalRepresentation (const XMLCh *const rawData, MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager, bool isNonPositiveInteger=false)
static void | parseBigInteger (const XMLCh *const toConvert, XMLCh *const retBuffer, int &signValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
static int | compareValues (const XMLBigInteger *const lValue, const XMLBigInteger *const rValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
static int | compareValues (const XMLCh *const lString, const int &lSign, const XMLCh *const rString, const int &rSign, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)

## Constructor & Destructor Documentation

XMLBigInteger::XMLBigInteger | ( | const XMLCh *const | strValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

Constructs a newly allocated `XMLBigInteger` object that represents the value represented by the string.

The string is converted to an int value as if by the `valueOf` method.

Parameters:

  | strValue | the `String` to be converted to an `XMLBigInteger`.
  | manager | Pointer to the memory manager to be used to allocate objects.

Exceptions:

  | NumberFormatException | if the `String` does not contain a parsable XMLBigInteger.

XMLBigInteger::~XMLBigInteger | ( |  | ) |

XMLBigInteger::XMLBigInteger | ( | const XMLBigInteger & | toCopy | ) |

## Member Function Documentation

static int XMLBigInteger::compareValues | ( | const XMLCh *const | lString,
|  | const int & | lSign,
|  | const XMLCh *const | rString,
|  | const int & | rSign,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) | `[static]`

static int XMLBigInteger::compareValues | ( | const XMLBigInteger *const | lValue,
|  | const XMLBigInteger *const | rValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) | `[static]`

void XMLBigInteger::divide | ( | const unsigned int | byteToShift | ) |

static XMLCh* XMLBigInteger::getCanonicalRepresentation | ( | const XMLCh *const | rawData,
|  | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager`,
|  | bool | isNonPositiveInteger = `false`
| ) | `[static]`

XMLCh * XMLBigInteger::getRawData | ( |  | ) | const

| Return a copy of the fMagnitue. This is similar to toString, except the internal buffer is returned directly Caller is not required to delet the returned memory.

int XMLBigInteger::getSign | ( |  | ) | const

| Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

int XMLBigInteger::getTotalDigit | ( |  | ) | const

int XMLBigInteger::intValue | ( |  | ) | const

void XMLBigInteger::multiply | ( | const unsigned int | byteToShift | ) |

bool XMLBigInteger::operator== | ( | const XMLBigInteger & | toCompare | ) | const

Compares this object to the specified object.

The result is `true` if and only if the argument is not `null` and is an `XMLBigInteger` object that contains the same `int` value as this object.

Parameters:

  | toCompare | the object to compare with.

Returns:
  `true` if the objects are the same; `false` otherwise.

static void XMLBigInteger::parseBigInteger | ( | const XMLCh *const | toConvert,
|  | XMLCh *const | retBuffer,
|  | int & | signValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) | `[static]`

XMLCh * XMLBigInteger::toString | ( |  | ) | const

| Deprecated: please use getRawData. Return a copy of the fMagnitue. A leading sign is ALWAYS in place and the caller of this method is responsible for the de-allocation of the memory.

The documentation for this class was generated from the following file:

- XMLBigInteger.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.